Bug 987951 - Need policy for OpenLMI-Service
Need policy for OpenLMI-Service
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
19
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 08:59 EDT by Vitezslav Crhonek
Modified: 2013-08-04 19:00 EDT (History)
1 user (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-69.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-04 19:00:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of "ausearch -m avc -ts recent" (8.34 KB, text/x-vhdl)
2013-07-24 08:59 EDT, Vitezslav Crhonek
no flags Details

  None (edit)
Description Vitezslav Crhonek 2013-07-24 08:59:58 EDT
Created attachment 777766 [details]
Output of "ausearch -m avc -ts recent"

OpenLMI-Service provider needs a policy. This is similar request as bz979037 and bz983422.

Service provider manipulates system services, should be able to start/restart/.../stop a service and enable/disable a service.

It uses systemd D-Bus API.

Here's what I did:
# cat mypol.te 
policy_module(mypol,1.0)

pegasus_openlmi_domain_template(service)
# make -f /usr/share/selinux/devel/Makefile mypol.pp
# semodule -i mypol.pp
# chcon -t pegasus_openlmi_service_exec_t /usr/libexec/pegasus/cmpiLMI_Service-cimprovagt

Audit messages are attached. (I started/stopped/enabled/disabled/restarted two random services.)
Comment 1 Miroslav Grepl 2013-07-24 09:13:59 EDT
Thank you for AVC msgs.
Comment 2 Miroslav Grepl 2013-07-26 04:36:52 EDT
commit 1bd1f13cfbcb5af17e278d19dac7cb27cfe2358c
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Fri Jul 26 10:36:36 2013 +0200

    Add support for cmpiLMI_Service-cimprovagt
Comment 3 Fedora Update System 2013-08-02 09:30:25 EDT
selinux-policy-3.12.1-69.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-69.fc19
Comment 4 Fedora Update System 2013-08-02 17:55:29 EDT
Package selinux-policy-3.12.1-69.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-69.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14089/selinux-policy-3.12.1-69.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-08-04 19:00:49 EDT
selinux-policy-3.12.1-69.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.